arm64: make SCTLR compat config depend on CONFIG_ARMV7_COMPAT
Rich Wiley [Wed, 4 Jun 2014 18:41:53 +0000 (11:41 -0700)]
Conflicts:
arch/arm64/mm/proc.S

Bug 200004840

Change-Id: I76e0067839c96e3082b42c80d3fc670cf3d371b5
Signed-off-by: Rich Wiley <rwiley@nvidia.com>
Reviewed-on: http://git-master/r/422173
GVS: Gerrit_Virtual_Submit
Reviewed-by: Alexander Van Brunt <avanbrunt@nvidia.com>
Reviewed-by: Bharat Nihalani <bnihalani@nvidia.com>
Tested-by: Bharat Nihalani <bnihalani@nvidia.com>

arch/arm64/Kconfig
arch/arm64/mm/proc.S

index 61cd81c..5502d6f 100644 (file)
@@ -332,17 +332,6 @@ config ARMV7_COMPAT_CPUINFO
 
         If you want to execute ARMv7 applications, say Y
 
-config ARMV7_COMPAT_CP15_BARRIER
-       bool "Allow applications to use the CP15 barrier operations"
-       depends on ARMV7_COMPAT
-       default y
-       help
-        This option allows applications to use deprecated CP15 barrier
-        instructions. This is useful because this was the only way to create
-        a barrier on older ARM processors.
-
-        If you want to execute ARMv7 applications, say Y
-
 source "mm/Kconfig"
 
 endmenu
index 0214dc7..bdb3daf 100644 (file)
@@ -220,7 +220,7 @@ ENTRY(__cpu_setup)
        ret                                     // return to head.S
 ENDPROC(__cpu_setup)
 
-#ifdef CONFIG_ARMV7_COMPAT_CP15_BARRIER
+#ifdef CONFIG_ARMV7_COMPAT
        /*
         *                 n n            T
         *       U E      WT T UD     US IHBS